Lookup External Resource
Retrieve external resource object
Retrieve external resource object depending on namespace type and id
Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/workitem/api/workitems/external-resources
COPY
Query Parameters
string
namespace
Required
namespace in which the vRO type is placed
string
type
Required
type of the SDK object
string
objectId
Required
unique id of the object
string
projectId
Required
id of current project
Responses
200
'Success' with external resource matching the search criteria
Returns
VroResourceLink
of type(s)
application/json
{
"attributes": [
{
"displayValue": {},
"name": "string",
"value": "string"
}
],
"href": "string"
}
array of
object
attributes
Optional
Array of attribute objects
string
href
Optional
URL reference
403
'Forbidden' no approval access rights
Returns
VroResourceLink
of type(s)
application/json
{
"attributes": [
{
"displayValue": {},
"name": "string",
"value": "string"
}
],
"href": "string"
}
array of
object
attributes
Optional
Array of attribute objects
string
href
Optional
URL reference
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/workitem/api/workitems/external-resources?namespace=value&type=value&objectId=value&projectId=v
Work Item Service Operations
GET
Get Work Items
GET
Get Work Items For Deployment
GET
Lookup External Resource
POST
Lookup External Resources
POST
Perform External Validation
POST
Execute External Actions
GET
Get Work Items For Deployment Request
GET
Get Work Item By Id
POST
Answer Work Item
POST
Reject Work Item